All Classes Namespaces Files Functions Variables Typedefs Enumerations Enumerator Friends Macros Pages
enqueue.hpp File Reference

Enqueues kernels into command queues. More...

`#include <CL/cl.h>`
`#include "viennacl/ocl/backend.hpp"`
`#include "viennacl/ocl/kernel.hpp"`
`#include "viennacl/ocl/command_queue.hpp"`
`#include "viennacl/ocl/context.hpp"`

Go to the source code of this file.

## Namespaces

| viennacl
| Main namespace in ViennaCL. Holds all the basic types such as vector, matrix, etc. and defines operations upon them.
| viennacl::device_specific
| Provides an OpenCL kernel generator.
| viennacl::ocl
| OpenCL backend. Manages platforms, contexts, buffers, kernels, etc.

## Functions

void | viennacl::device_specific::enqueue_custom_op (viennacl::device_specific::custom_operation &op, viennacl::ocl::command_queue const &queue)
template<typename KernelType >
void | viennacl::ocl::enqueue (KernelType &k, viennacl::ocl::command_queue const &queue)
| Enqueues a kernel in the provided queue. More...
template<typename KernelType >
void | viennacl::ocl::enqueue (KernelType &k)
| Convenience function that enqueues the provided kernel into the first queue of the currently active device in the currently active context. More...
void | viennacl::ocl::enqueue (viennacl::device_specific::custom_operation &op, viennacl::ocl::command_queue const &queue)
void | viennacl::ocl::enqueue (viennacl::device_specific::custom_operation &op)

## Detailed Description

Enqueues kernels into command queues.

Definition in file enqueue.hpp.